org.vertx.java.core.json

## Class JsonObject

- java.lang.Object
- - org.vertx.java.core.json.JsonElement
  - - org.vertx.java.core.json.JsonObject

-     public class JsonObject
      extends JsonElement

  Represents a JSON object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonObject()` Create an empty JSON object
    `JsonObject(java.util.Map<java.lang.String,java.lang.Object> map)` Create a JSON object based on the specified Map
    `JsonObject(java.lang.String jsonString)` Create a JSON object from a string form of a JSON object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `copy()`
    `java.lang.String` | `encode()`
    `boolean` | `equals(java.lang.Object o)`
    `JsonArray` | `getArray(java.lang.String fieldName)`
    `JsonArray` | `getArray(java.lang.String fieldName, JsonArray def)`
    `byte[]` | `getBinary(java.lang.String fieldName)`
    `byte[]` | `getBinary(java.lang.String fieldName, byte[] def)`
    `java.lang.Boolean` | `getBoolean(java.lang.String fieldName)`
    `boolean` | `getBoolean(java.lang.String fieldName, boolean def)`
    `JsonElement` | `getElement(java.lang.String fieldName)`
    `JsonElement` | `getElement(java.lang.String fieldName, JsonElement def)`
    `java.lang.Object` | `getField(java.lang.String fieldName)`
    `java.util.Set<java.lang.String>` | `getFieldNames()`
    `java.lang.Integer` | `getInteger(java.lang.String fieldName)`
    `java.lang.Long` | `getLong(java.lang.String fieldName)`
    `java.lang.Number` | `getNumber(java.lang.String fieldName)`
    `java.lang.Number` | `getNumber(java.lang.String fieldName, int def)`
    `JsonObject` | `getObject(java.lang.String fieldName)`
    `JsonObject` | `getObject(java.lang.String fieldName, JsonObject def)`
    `java.lang.String` | `getString(java.lang.String fieldName)`
    `java.lang.String` | `getString(java.lang.String fieldName, java.lang.String def)`
    `JsonObject` | `mergeIn(JsonObject other)`
    `JsonObject` | `putArray(java.lang.String fieldName, JsonArray value)`
    `JsonObject` | `putBinary(java.lang.String fieldName, byte[] binary)`
    `JsonObject` | `putBoolean(java.lang.String fieldName, java.lang.Boolean value)`
    `JsonObject` | `putElement(java.lang.String fieldName, JsonElement value)`
    `JsonObject` | `putNumber(java.lang.String fieldName, java.lang.Number value)`
    `JsonObject` | `putObject(java.lang.String fieldName, JsonObject value)`
    `JsonObject` | `putString(java.lang.String fieldName, java.lang.String value)`
    `java.lang.Object` | `removeField(java.lang.String fieldName)`
    `int` | `size()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `toMap()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.vertx.java.core.json.JsonElement

      `asArray, asObject, isArray, isObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonObject

          public JsonObject(java.util.Map<java.lang.String,java.lang.Object> map)

      Create a JSON object based on the specified Map
      Parameters:
        `map` -

    - #### JsonObject

          public JsonObject()

      Create an empty JSON object

    - #### JsonObject

          public JsonObject(java.lang.String jsonString)

      Create a JSON object from a string form of a JSON object
      Parameters:
        `jsonString` - The string form of a JSON object

  - ### Method Detail

    - #### putString

          public JsonObject putString(java.lang.String fieldName,
                             java.lang.String value)

    - #### putObject

          public JsonObject putObject(java.lang.String fieldName,
                             JsonObject value)

    - #### putArray

          public JsonObject putArray(java.lang.String fieldName,
                            JsonArray value)

    - #### putElement

          public JsonObject putElement(java.lang.String fieldName,
                              JsonElement value)

    - #### putNumber

          public JsonObject putNumber(java.lang.String fieldName,
                             java.lang.Number value)

    - #### putBoolean

          public JsonObject putBoolean(java.lang.String fieldName,
                              java.lang.Boolean value)

    - #### putBinary

          public JsonObject putBinary(java.lang.String fieldName,
                             byte[] binary)

    - #### getString

          public java.lang.String getString(java.lang.String fieldName)

    - #### getObject

          public JsonObject getObject(java.lang.String fieldName)

    - #### getArray

          public JsonArray getArray(java.lang.String fieldName)

    - #### getElement

          public JsonElement getElement(java.lang.String fieldName)

    - #### getNumber

          public java.lang.Number getNumber(java.lang.String fieldName)

    - #### getLong

          public java.lang.Long getLong(java.lang.String fieldName)

    - #### getInteger

          public java.lang.Integer getInteger(java.lang.String fieldName)

    - #### getBoolean

          public java.lang.Boolean getBoolean(java.lang.String fieldName)

    - #### getBinary

          public byte[] getBinary(java.lang.String fieldName)

    - #### getString

          public java.lang.String getString(java.lang.String fieldName,
                                   java.lang.String def)

    - #### getObject

          public JsonObject getObject(java.lang.String fieldName,
                             JsonObject def)

    - #### getArray

          public JsonArray getArray(java.lang.String fieldName,
                           JsonArray def)

    - #### getElement

          public JsonElement getElement(java.lang.String fieldName,
                               JsonElement def)

    - #### getBoolean

          public boolean getBoolean(java.lang.String fieldName,
                           boolean def)

    - #### getNumber

          public java.lang.Number getNumber(java.lang.String fieldName,
                                   int def)

    - #### getBinary

          public byte[] getBinary(java.lang.String fieldName,
                         byte[] def)

    - #### getFieldNames

          public java.util.Set<java.lang.String> getFieldNames()

    - #### getField

          public java.lang.Object getField(java.lang.String fieldName)

    - #### removeField

          public java.lang.Object removeField(java.lang.String fieldName)

    - #### size

          public int size()

    - #### mergeIn

          public JsonObject mergeIn(JsonObject other)

    - #### encode

          public java.lang.String encode()

    - #### copy

          public JsonObject copy()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toMap

          public java.util.Map<java.lang.String,java.lang.Object> toMap()